%set_verify_elf_method relaxed

Name: libopensync-plugin-gnokii
Version: 0.22
Release: alt1.M40.1

Summary: Gnokii plugin for OpenSync
License: GPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.bz2
Patch1: %name-fix-build.patch

Requires: libgnokii 
Requires: libopensync = %version

BuildRequires: gcc-c++ glib2-devel libbluez-devel libgnokii-devel
BuildRequires: libusb-devel libxml2-devel libXpm-devel pkg-config zlib-devel
BuildRequires: libopensync-devel = %version

%description
This a _experimental_ OpenSync plugin for Nokia cellphones. Don't use it
without a whole backup of your phonebook, todo list and calendar! This
plugin is based on gnokii which can be found on http://gnokii.org
It is recommended to use the latest version of gnokii.
	
%prep
%setup -q
%patch1 -p1

%build
%configure
%make

%install
%makeinstall install DESTDIR=%buildroot
rm -f %buildroot%_libdir/opensync/plugins/*.la
rm -f %buildroot%_libdir/opensync/formats/*.la

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%_libdir/opensync/plugins/*.so
%_libdir/opensync/formats/*.so
%_datadir/opensync/defaults/*

%changelog
* Thu Aug 07 2008 Andrey Cherepanov <cas@altlinux.ru> 0.22-alt1.M40.1
- fix build (remove -Werror)
- port to 4.0 branch

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec(drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921
- Initial package
